Bug 112773 - [PATCH] update math/glpk to 4.16
Summary: [PATCH] update math/glpk to 4.16
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Sivachenko
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-05-19 01:50 UTC by bf
Modified: 2007-05-31 12:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bf 2007-05-19 01:50:04 UTC
diff -ruN glpk.old/Makefile glpk/Makefile
--- glpk.old/Makefile	Tue Mar 27 00:32:19 2007
+++ glpk/Makefile	Fri May 18 19:59:50 2007
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	glpk
-PORTVERSION=	4.15
+PORTVERSION=	4.16
 CATEGORIES=	math
 MASTER_SITES=	${MASTER_SITE_GNU}
 MASTER_SITE_SUBDIR=	glpk
@@ -24,7 +24,7 @@
 CFLAGS+=	-trigraphs
 
 .if !defined(NOPORTDOCS)
-PORTDOCS=	lang.ps refman.ps bench.txt bench1.txt
+PORTDOCS=	bench.txt bench1.txt glpk.ps glpk_faq.txt gmpl.ps
 .endif
 
 post-install:
diff -ruN glpk.old/distinfo glpk/distinfo
--- glpk.old/distinfo	Tue Mar 27 00:32:19 2007
+++ glpk/distinfo	Fri May 18 20:03:21 2007
@@ -1,3 +1,3 @@
-MD5 (glpk-4.15.tar.gz) = 398130547c0f0045186ddc34cdc7b9c7
-SHA256 (glpk-4.15.tar.gz) = 3b628fc1ef898d1560bebde71256e0a40f904f44211cd0d51ee1e3a59f48dbc3
-SIZE (glpk-4.15.tar.gz) = 1291700
+MD5 (glpk-4.16.tar.gz) = 90a1d2923c9f9c8056f8e0df108e056c
+SHA256 (glpk-4.16.tar.gz) = f4c935909c58eed0fc06fad5b095b7ae8808a9271a9f05716b66935395dc7945
+SIZE (glpk-4.16.tar.gz) = 1334113
diff -ruN glpk.old/pkg-descr glpk/pkg-descr
--- glpk.old/pkg-descr	Tue Mar 27 00:32:19 2007
+++ glpk/pkg-descr	Fri May 18 20:01:52 2007
@@ -1,11 +1,17 @@
 The GLPK package is a set of routines written in ANSI C and organized
 in the form of a callable library. This package is intended for solving
-large-scale linear programming (LP), mixed integer linear programming (MIP)
-and other related problems.
+large-scale linear programming (LP), mixed integer linear programming
+(MIP), and other related problems.
 
 The GLPK package includes the following main components:
 
-- implementation of the simplex method;
-- implementation of the exact simplex method based on bignum (rational)
+* implementation of the simplex method;
+* implementation of the exact simplex method based on bignum (rational)
+  arithmetic;
+* implementation of the primal-dual interior-point method;
+* implementation of the branch-and-bound method;
+* application program interface (API);
+* GNU MathProg modeling language (a subset of AMPL);
+* GLPSOL, a stand-alone LP/MIP solver.
 
 WWW: http://www.gnu.org/software/glpk/glpk.html
diff -ruN glpk.old/pkg-plist glpk/pkg-plist
--- glpk.old/pkg-plist	Tue Mar 27 00:32:19 2007
+++ glpk/pkg-plist	Fri May 18 19:52:45 2007
@@ -4,4 +4,4 @@
 lib/libglpk.a
 lib/libglpk.la
 lib/libglpk.so
-lib/libglpk.so.0
+lib/libglpk.so.1
Comment 1 Edwin Groothuis freebsd_committer 2007-05-19 01:50:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->demon

Over to maintainer
Comment 2 bf 2007-05-27 11:48:21 UTC
Hold everything! Make that 4.17...  :O   (diff against
4.15):

diff -ruN glpk.orig/Makefile glpk/Makefile
--- glpk.orig/Makefile	Mon Mar 26 21:04:43 2007
+++ glpk/Makefile	Sun May 27 05:54:24 2007
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	glpk
-PORTVERSION=	4.15
+PORTVERSION=	4.17
 CATEGORIES=	math
 MASTER_SITES=	${MASTER_SITE_GNU}
 MASTER_SITE_SUBDIR=	glpk
@@ -24,7 +24,7 @@
 CFLAGS+=	-trigraphs
 
 .if !defined(NOPORTDOCS)
-PORTDOCS=	lang.ps refman.ps bench.txt bench1.txt
+PORTDOCS=	bench.txt bench1.txt glpk.ps glpk_faq.txt
gmpl.ps
 .endif
 
 post-install:
diff -ruN glpk.orig/distinfo glpk/distinfo
--- glpk.orig/distinfo	Mon Mar 26 21:04:43 2007
+++ glpk/distinfo	Sun May 27 05:58:58 2007
@@ -1,3 +1,3 @@
-MD5 (glpk-4.15.tar.gz) =
398130547c0f0045186ddc34cdc7b9c7
-SHA256 (glpk-4.15.tar.gz) =
3b628fc1ef898d1560bebde71256e0a40f904f44211cd0d51ee1e3a59f48dbc3
-SIZE (glpk-4.15.tar.gz) = 1291700
+MD5 (glpk-4.17.tar.gz) =
aa76153b7d506154cb7ccf8cf3695c2c
+SHA256 (glpk-4.17.tar.gz) =
2fec389487e3f2b62ba881aa292bcffd300effb216ff315d48afd7074d4db2ff
+SIZE (glpk-4.17.tar.gz) = 1350306
diff -ruN glpk.orig/pkg-descr glpk/pkg-descr
--- glpk.orig/pkg-descr	Mon Mar 26 21:04:43 2007
+++ glpk/pkg-descr	Sun May 27 05:54:41 2007
@@ -1,11 +1,17 @@
 The GLPK package is a set of routines written in ANSI
C and organized
 in the form of a callable library. This package is
intended for solving
-large-scale linear programming (LP), mixed integer
linear programming (MIP)
-and other related problems.
+large-scale linear programming (LP), mixed integer
linear programming
+(MIP), and other related problems.
 
 The GLPK package includes the following main
components:
 
-- implementation of the simplex method;
-- implementation of the exact simplex method based on
bignum (rational)
+* implementation of the simplex method;
+* implementation of the exact simplex method based on
bignum (rational)
+  arithmetic;
+* implementation of the primal-dual interior-point
method;
+* implementation of the branch-and-bound method;
+* application program interface (API);
+* GNU MathProg modeling language (a subset of AMPL);
+* GLPSOL, a stand-alone LP/MIP solver.
 
 WWW: http://www.gnu.org/software/glpk/glpk.html
diff -ruN glpk.orig/pkg-plist glpk/pkg-plist
--- glpk.orig/pkg-plist	Mon Mar 26 21:04:43 2007
+++ glpk/pkg-plist	Sun May 27 06:14:48 2007
@@ -4,4 +4,4 @@
 lib/libglpk.a
 lib/libglpk.la
 lib/libglpk.so
-lib/libglpk.so.0
+lib/libglpk.so.2



 
____________________________________________________________________________________
No need to miss a message. Get email on-the-go 
with Yahoo! Mail for Mobile. Get started.
http://mobile.yahoo.com/mail
Comment 3 dfilter service freebsd_committer 2007-05-31 12:42:21 UTC
demon       2007-05-31 11:42:15 UTC

  FreeBSD ports repository

  Modified files:
    math/glpk            Makefile distinfo pkg-descr pkg-plist 
  Log:
  Update to 4.17.
  
  PR:             ports/112773
  Submitted by:   bf<bf2006a@yahoo.com>
  
  Revision  Changes    Path
  1.24      +2 -2      ports/math/glpk/Makefile
  1.21      +3 -3      ports/math/glpk/distinfo
  1.3       +8 -2      ports/math/glpk/pkg-descr
  1.19      +1 -1      ports/math/glpk/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Dmitry Sivachenko freebsd_committer 2007-05-31 12:42:31 UTC
State Changed
From-To: open->closed

Port updated, thanks!